org.apache.sysds.runtime.controlprogram.caching

## Class TensorObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.controlprogram.caching.CacheableData<TensorBlock>
    - - org.apache.sysds.runtime.controlprogram.caching.TensorObject

All Implemented Interfaces:
  Serializable

    public class TensorObject
    extends CacheableData<TensorBlock>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.caching.CacheableData

`CacheableData.CacheStatus`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.controlprogram.caching.CacheableData

`cacheEvictionLocalFilePath, cacheEvictionLocalFilePrefix, CACHING_ASYNC_FILECLEANUP, CACHING_ASYNC_SERIALIZE, CACHING_BUFFER_PAGECACHE, CACHING_BUFFER_POLICY, CACHING_BUFFER_SIZE, CACHING_COUNTER_GROUP_NAME, CACHING_EVICTION_FILEEXTENSION, CACHING_THRESHOLD, CACHING_WRITE_CACHE_ON_READ`

### Constructor Summary

Constructors
Constructor and Description
`TensorObject(String fname)`
`TensorObject(String fname, MetaData meta)`
`TensorObject(TensorObject fo)` Copy constructor that copies meta data but NO data.
`TensorObject(Types.ValueType vt, String fname)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getNnz()`
`long` `getNumColumns()`
`long` `getNumRows()`
`void` `refreshMetaData()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.caching.CacheableData

`acquireModify, acquireRead, acquireReadAndRelease, addBroadcastSize, cleanupCacheDir, cleanupCacheDir, clearData, clearData, disableCaching, enableCaching, enableCleanup, exportData, exportData, exportData, exportData, exportData, freeEvictedBlob, getBlocksize, getBroadcastHandle, getBroadcastSize, getCacheLineage, getCompressedSize, getDataCharacteristics, getDataSize, getDebugName, getFedMapping, getFileFormatProperties, getFileName, getGPUObject, getMetaData, getRDDHandle, getStatus, getUniqueID, hasValidLineage, initCaching, initCaching, isBelowCachingThreshold, isCached, isCachingActive, isCleanupEnabled, isCompressed, isDirty, isFederated, isFederated, isFederatedExcept, isHDFSFileExists, isPendingRDDOps, moveData, release, removeGPUObject, removeMetaData, setBroadcastHandle, setCacheLineage, setCompressedSize, setDirty, setEmptyStatus, setFedMapping, setFileFormatProperties, setFileName, setGPUObject, setHDFSFileExists, setMetaData, setRDDHandle, toString`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getPrivacyConstraint, getValueType, setPrivacyConstraints, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TensorObject

    public TensorObject(String fname)

#### TensorObject

    public TensorObject(Types.ValueType vt,
                        String fname)

#### TensorObject

    public TensorObject(String fname,
                        MetaData meta)

#### TensorObject

    public TensorObject(TensorObject fo)

Copy constructor that copies meta data but NO data.

Parameters:
  `fo` - frame object

### Method Detail

#### refreshMetaData

    public void refreshMetaData()

Specified by:
  `refreshMetaData` in class `CacheableData<TensorBlock>`

#### getNumRows

    public long getNumRows()

Overrides:
  `getNumRows` in class `CacheableData<TensorBlock>`

#### getNumColumns

    public long getNumColumns()

Overrides:
  `getNumColumns` in class `CacheableData<TensorBlock>`

#### getNnz

    public long getNnz()